/********************************************************************************************
 *
 * Copyright 2012-2018  Frank Gollnik  <http://www.jabotics.org>
 * 
 * 
 * This file is part of the Java software package org.jabotics (in the following: Jabotics).
 * 
 * Jabotics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Jabotics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Jabotics.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * 
 * Diese Datei ist Teil des Java-Software-Pakets org.jabotics (im Folgenden kurz: Jabotics).
 * 
 * Jabotics ist Freie Software: Sie können es unter den Bedingungen
 * der GNU General Public License, wie von der Free Software Foundation,
 * Version 3 der Lizenz oder (nach Ihrer Wahl) jeder späteren
 * veröffentlichten Version, weiterverbreiten und/oder modifizieren.
 * 
 * Jabotics wird in der Hoffnung, dass es nützlich sein wird, aber
 * OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite
 * Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
 * Siehe die GNU General Public License für weitere Details.
 * 
 * Sie sollten eine Kopie der GNU General Public License zusammen mit Jabotics
 * erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 * 
 *******************************************************************************************/

package org.jabotics.test.robot;


import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import org.jabotics.robot.defs.*;
import org.jabotics.robot.adapter.XAdapter;

/**
 * Die Test-Klasse UTestRoboter.
 *
 * @author  Frank Gollnik
 * @version 1.2.1
 */
public class UTestRoboter
{
    /**
     * Konstruktor fuer die Test-Klasse TestUnitTest
     */
    public UTestRoboter()
    {
        XAdapter.setSimulationMode(ESimulationMode.HIDDEN);
        XAdapter.initFactory();
    }

    /**
     *  Setzt das Testgerüst fuer den Test.
     *
     * Wird vor jeder Testfall-Methode aufgerufen.
     */
    @Before
    public void setUp()
    {
    }

    /**
     * Gibt das Testgerüst wieder frei.
     *
     * Wird nach jeder Testfall-Methode aufgerufen.
     */
    @After
    public void tearDown()
    {
    }

    @Test(timeout = 42000)
    public void testDispatcher()
    {
        TestDispatcher roboter = new TestDispatcher();
        roboter.unittest();
    }

    @Test(timeout = 190000)
    public void testFollowMe()
    {
        TestFollowMe roboter = new TestFollowMe();
        roboter.unittest();
    }

    @Test(timeout = 360000)
    public void testOutOfHere()
    {
        TestOutOfHere roboter = new TestOutOfHere();
        roboter.unittest();
    }

    @Test(timeout = 330000)
    public void testToTheLight()
    {
        TestToTheLight roboter = new TestToTheLight();
        roboter.unittest();
    }

    @Test(timeout = 40000)
    public void testTanzmarie()
    {
        TestTanzmarie roboter = new TestTanzmarie();
        roboter.unittest();
    }
}


